/*
 *
 * Copyright © 2007 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */
package examples.cityguide;

import javax.microedition.lcdui.Image;
import javax.microedition.location.Landmark;


/**
 * This class adds additional information to a landmark. This information is
 * used to display the landmark on the map.
 *
 * @version 1.3
 */
public class MapLandmark {
    private Landmark landmark;
    private int x;
    private int y;
    private Image image;
    protected boolean active;

    /** Creates a new instance of MapLandmark */
    protected MapLandmark(Landmark landmark, int x, int y, Image image) {
        this.landmark = landmark;
        this.x = x;
        this.y = y;
        this.image = image;
    }

    /**
     * Returns the instance of the Landmark class which this map landmark
     * extends.
     */
    public Landmark getLandmark() {
        return landmark;
    }

    /** Returns the x position of the landmark on the map. */
    public int getX() {
        return x;
    }

    /** Returns the y position of the landmark on the map. */
    public int getY() {
        return y;
    }

    /** Returns the image of the landmark. */
    public Image getImage() {
        return image;
    }

    /** Returns the activation status of the landmark. */
    public boolean isActive() {
        return active;
    }
}
