/*
 *
 * Copyright © 2007 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */
package examples.cityguide;

import javax.microedition.location.Landmark;


/**
 * An interface which allows receiving notifications from a CityMap instance.
 *
 * @version 1.3
 */
public interface MapListener {
    /** Called when the position of the map visitor changes. */
    void visitorPositionChanged(CityMap sender);

    /** Called when the state of the map visitor changes. */
    void visitorStateChanged(CityMap sender);

    /** Called when the state of a landmark changes. */
    void landmarkStateChanged(CityMap sender, MapLandmark mapLandmark);

    /** Called when the whole set of map landmarks changes. */
    void landmarksChanged(CityMap sender);
}
